Didn't work for me Rated 1 out of 5 stars

Incompatible with Firefox 3 Beta 5 on Ubuntu Hardy OS.

This review is for a previous version of the add-on (2.3.1).